PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
PSNMP_GetResponse_PDU Class Reference

`#include <snmp.h>`

Inheritance diagram for PSNMP_GetResponse_PDU:
[legend]
Collaboration diagram for PSNMP_GetResponse_PDU:
[legend]

## Public Member Functions
| PSNMP_GetResponse_PDU (unsigned tag=2, TagClass tagClass=ContextSpecificTagClass)
PObject * | Clone () const
Public Member Functions inherited from PSNMP_PDU
| PSNMP_PDU (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Additional Inherited Members
Public Attributes inherited from PSNMP_PDU
PASN_Integer | m_request_id
PASN_Integer | m_error_status
PASN_Integer | m_error_index
PSNMP_VarBindList | m_variable_bindings

## Constructor & Destructor Documentation

PSNMP_GetResponse_PDU::PSNMP_GetResponse_PDU | ( | unsigned | tag = `2`,
|  | TagClass | tagClass = `ContextSpecificTagClass`
| ) |  |

## Member Function Documentation

PObject* PSNMP_GetResponse_PDU::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- snmp.h